package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.AccountType;
import com.ym.mec.biz.dal.enums.PaymentChannelEnum;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

public class SysPaymentConfig {
    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Integer id;

    /**
     * 支付渠道
     */
    @ApiModelProperty(value = "支付渠道")
    private PaymentChannelEnum payType;

    /**
     * 双乾商户号
     */
    @ApiModelProperty(value = "双乾商户号")
    private String yqMerNo;


    /**
     * 双乾商户号
     */
    @ApiModelProperty(value = "汇付商户号")
    private String hfMerNo;

    /**
     * type
     */
    @ApiModelProperty(value = "type（1-比例 2-类型）")
    private Integer type;

    /**
     * 分润规则
     */
    @ApiModelProperty(value = "分润规则")
    private String routeScale;

    /**
     * 根据费用分配规则
     */
    @ApiModelProperty(value = "根据费用分配规则")
    private String typeRouteScale;

    /**
     * 分部id
     */
    @ApiModelProperty(value = "分部id")
    private Integer organId;

    /**
     * 账户类型
     */
    @ApiModelProperty(value = "账户类型")
    private AccountType accountType;


    /**
     * 分部名称
     */
    @ApiModelProperty(value = "分部名称")
    private String organName;

    /**
     * 私户收款占比
     */
    @ApiModelProperty(value = "私户收款占比")
    private Integer perScale;

    /**
     * 公户收款占比
     */
    @ApiModelProperty(value = "公户收款占比")
    private Integer comScale;

    /**
     * 课程费用收费去向
     */
    @ApiModelProperty(value = "课程费用收费去向")
    private String courseFee;

    /**
     * 乐器费用去向
     */
    @ApiModelProperty(value = "乐器费用去向")
    private String instrumentFee;

    /**
     * 辅件费用去向
     */
    @ApiModelProperty(value = "辅件费用去向")
    private String accessoriesFee;

    /**
     * 其他费用
     */
    @ApiModelProperty(value = "其他费用")
    private String otherFee;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public PaymentChannelEnum getPayType() {
        return payType;
    }

    public void setPayType(PaymentChannelEnum payType) {
        this.payType = payType;
    }

    public Integer getOrganId() {
        return organId;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }

    public Integer getPerScale() {
        return perScale;
    }

    public void setPerScale(Integer perScale) {
        this.perScale = perScale;
    }

    public Integer getComScale() {
        return comScale;
    }

    public void setComScale(Integer comScale) {
        this.comScale = comScale;
    }

    public String getCourseFee() {
        return courseFee;
    }

    public void setCourseFee(String courseFee) {
        this.courseFee = courseFee;
    }

    public String getInstrumentFee() {
        return instrumentFee;
    }

    public void setInstrumentFee(String instrumentFee) {
        this.instrumentFee = instrumentFee;
    }

    public String getAccessoriesFee() {
        return accessoriesFee;
    }

    public void setAccessoriesFee(String accessoriesFee) {
        this.accessoriesFee = accessoriesFee;
    }

    public String getOtherFee() {
        return otherFee;
    }

    public void setOtherFee(String otherFee) {
        this.otherFee = otherFee;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getYqMerNo() {
        return yqMerNo;
    }

    public void setYqMerNo(String yqMerNo) {
        this.yqMerNo = yqMerNo;
    }

    public String getHfMerNo() {
        return hfMerNo;
    }

    public void setHfMerNo(String hfMerNo) {
        this.hfMerNo = hfMerNo;
    }

    public String getRouteScale() {
        return routeScale;
    }

    public void setRouteScale(String routeScale) {
        this.routeScale = routeScale;
    }

    public AccountType getAccountType() {
        return accountType;
    }

    public void setAccountType(AccountType accountType) {
        this.accountType = accountType;
    }

    public String getTypeRouteScale() {
        return typeRouteScale;
    }

    public void setTypeRouteScale(String typeRouteScale) {
        this.typeRouteScale = typeRouteScale;
    }
}

